apiVersion: wopla.io/v1beta1
kind: Squid
metadata:
  labels:
    opsperator.io/Clair: kube
    opsperator.io/Gitea: kube
    opsperator.io/Gogs: kube
    opsperator.io/Jenkins: kube
    opsperator.io/Matomo: kube
    opsperator.io/Mattermost: kube
    opsperator.io/Newznab: kube
    opsperator.io/NextCloud: kube
    opsperator.io/NextCloudShared: kube
    opsperator.io/NextCloudSlave: kube
    opsperator.io/Nexus: kube
    opsperator.io/PeerTube: kube
    opsperator.io/ReleaseBell: kube
    opsperator.io/SonarQube: kube
    opsperator.io/SysPass: kube
    opsperator.io/Tekton: kube
    opsperator.io/TinyTinyRSS: kube
    opsperator.io/WordPress: kube
  name: kube
  namespace: default
spec:
  do_exporters: true
  do_network_policy: true
  do_triggers: false
  images_builds_namespace: ci
  k8s_registry_ns: default
  k8s_registry_svc: registry-kube
  pull_policy: Always
  squid_data_capacity: 25Gi
  #squid_image_source: git@gitlab.com:synacksynack/opsperator/docker-squid
  #squid_tag: master
